> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xenovia.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Traces Route



## OpenAPI

````yaml https://cp.xenovia.io/openapi.json get /api/v1/traces
openapi: 3.1.0
info:
  title: controlplane
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/traces:
    get:
      tags:
        - traces
      summary: List Traces Route
      operationId: list_traces_route_api_v1_traces_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 20
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
        - name: proxy_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Proxy Id
        - name: session_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Session Id
        - name: trace_flow_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Trace Flow Id
        - name: step_type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Step Type
        - name: provider
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Provider
        - name: decision
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by policy_decision value
            title: Decision
          description: Filter by policy_decision value
        - name: from
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: From
        - name: to
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: To
        - name: Authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_TraceRecord_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PaginatedResponse_TraceRecord_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/TraceRecord'
          type: array
          title: Items
        total:
          type: integer
          title: Total
        limit:
          type: integer
          title: Limit
        offset:
          type: integer
          title: Offset
      type: object
      required:
        - items
        - total
        - limit
        - offset
      title: PaginatedResponse[TraceRecord]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TraceRecord:
      properties:
        trace_id:
          type: string
          title: Trace Id
        proxy_id:
          type: string
          format: uuid
          title: Proxy Id
        org_id:
          type: string
          format: uuid
          title: Org Id
        session_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Session Id
        trace_flow_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Trace Flow Id
        provider:
          type: string
          title: Provider
        model:
          type: string
          title: Model
        step_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Step Type
        step_stage:
          anyOf:
            - type: string
            - type: 'null'
          title: Step Stage
        step_index:
          type: integer
          title: Step Index
          default: 0
        request_tokens:
          type: integer
          title: Request Tokens
        response_tokens:
          type: integer
          title: Response Tokens
        latency_ms:
          type: integer
          title: Latency Ms
        policy_decision:
          type: string
          title: Policy Decision
        policy_rule:
          type: string
          title: Policy Rule
          default: ''
        response_body:
          type: string
          title: Response Body
          default: ''
        request_system_prompt:
          type: string
          title: Request System Prompt
          default: ''
        request_messages:
          type: string
          title: Request Messages
          default: ''
        request_tools:
          type: string
          title: Request Tools
          default: ''
        intent_score:
          anyOf:
            - type: number
            - type: 'null'
          title: Intent Score
        intent_action:
          anyOf:
            - type: string
            - type: 'null'
          title: Intent Action
        matched_capability:
          type: string
          title: Matched Capability
          default: ''
        intent_reason:
          type: string
          title: Intent Reason
          default: ''
        intent_latency_ms:
          type: integer
          title: Intent Latency Ms
          default: 0
        ttft_ms:
          type: integer
          title: Ttft Ms
          default: 0
        session_turn:
          type: integer
          title: Session Turn
          default: 0
        custom_properties:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Custom Properties
        trace_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Trace Path
        parent_trace_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Trace Id
        started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Started At
        ended_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Ended At
        guardrail_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Guardrail Name
        guardrail_stage:
          anyOf:
            - type: string
            - type: 'null'
          title: Guardrail Stage
        guardrail_decision:
          anyOf:
            - type: string
            - type: 'null'
          title: Guardrail Decision
        guardrail_rule:
          anyOf:
            - type: string
            - type: 'null'
          title: Guardrail Rule
        guardrail_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Guardrail Reason
        guardrail_duration_ms:
          anyOf:
            - type: integer
            - type: 'null'
          title: Guardrail Duration Ms
        tool_call_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Tool Call Id
        tool_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Tool Name
        tool_args_json:
          anyOf:
            - type: string
            - type: 'null'
          title: Tool Args Json
        tool_result_summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Tool Result Summary
        tool_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Tool Status
        integration_names:
          type: string
          title: Integration Names
        stream:
          type: integer
          title: Stream
        status_code:
          type: integer
          title: Status Code
        timestamp:
          type: string
          format: date-time
          title: Timestamp
        tool_names:
          type: string
          title: Tool Names
          description: Compatibility alias for runtimes still reading `tool_names`.
          readOnly: true
      type: object
      required:
        - trace_id
        - proxy_id
        - org_id
        - provider
        - model
        - request_tokens
        - response_tokens
        - latency_ms
        - policy_decision
        - intent_score
        - intent_action
        - integration_names
        - stream
        - status_code
        - timestamp
        - tool_names
      title: TraceRecord
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````